!.gitignore

*.[oa]
*.bundle
*.gz
*.md5
*.orig
*.rej
*.releaseBackup
*.sha1
*.so
*.sw[mnop]
*.versionsBackup
*.zip
*~
*.tokens
*.su
*.ll
*.bc
extconf.h
mkmf.log
Makefile
cext-output.txt
bench-results.json
bench-results-processed.json
failures

.DS_Store
.debug.properties
.redcar
/.rbx/
build
build.properties
build_graph.png
core/src/main/java/org/jruby/runtime/Constants.java
dependency-reduced-pom.xml
dev_null
dist
docs/api
ext/*/pom-*.gemspec.xml
gems/*/Manifest.txt
gems/*/lib/*.jar
gems/*/lib/jruby-jars/version.rb
gems/*/pkg
glob_test
jruby-complete.jar
jruby-findbugs.html
latest_source_cache
lib/jni
lib/jruby*.jar
lib/native
lib/ruby/cext/
lib/ruby/gems
lib/ruby/stdlib/*.jar
lib/ruby/stdlib/did_you_mean*
lib/ruby/stdlib/gauntlet_rdoc.rb
lib/ruby/stdlib/jar*
lib/ruby/stdlib/jline
lib/ruby/stdlib/jopenssl*
lib/ruby/stdlib/krypt*
lib/ruby/stdlib/net-telnet.rb
lib/ruby/stdlib/net/telnet*
lib/ruby/stdlib/openssl*
lib/ruby/stdlib/org/
lib/ruby/stdlib/ripper.jar
lib/ruby/stdlib/rubygems/defaults/jruby_native.rb
lib/ruby/stdlib/rake*
lib/ruby/stdlib/json*
lib/ruby/stdlib/rdoc*
lib/ruby/stdlib/test*
lib/ruby/stdlib/hoe*
lib/ruby/stdlib/readline*
lib/ruby/stdlib/minitest*
lib/ruby/stdlib/power_assert*
lib/ruby/stdlib/psych*
lib/ruby/stdlib/**/maven-metadata-local.xml
release.properties
share
spaces test
target
test/pom.xml
test/prawn
test/rails
test/jruby/testapp/testapp
tool/nailgun/Makefile
tool/nailgun/config.log
tool/nailgun/config.status
tool/nailgun/ng
reference.txt
rubyspec_temp
.polyglot.pom.rb

# binaries
!bin/gem
!bin/update_rubygems
bin/*

install/updates.xml

# generated ITs
maven/jruby/src/it/osgi_*
maven/jruby/src/it/hellowarld_*
maven/jruby/src/it/j2ee_wlp
maven/jruby-complete/src/it/osgi*
maven/jruby-complete/pom.xml
maven/pom.xml

# IntelliJ project files
.idea
*.iml

# NetBeans files
nbproject/private

# Eclipse files
/.metadata
/.recommenders
.classpath
.project
.settings
.factorypath
build.eclipse

# mx
/mx.jruby/*pyc
/mx.jruby/env
/mx.jruby/eclipse-launches/
/mxbuild
/mx.imports
/RUBY.dist
/RUBY-TEST.dist

# Vagrant
.vagrant
